export default {
	title: 'JavaScript',
	nav: [
    {
      subtitle: 'JavaScript',
      nav: [
        {
          icon: 'assets/icon/frontend/004.svg',
          name: 'jQuery',
          desc: 'jQuery是一个JavaScript函数库',
          link: 'http://jquery.com/',
          language: [
            'http://jquery.com/',
            'https://www.jquery123.com/',
            'https://github.com/jquery/jquery'
          ]
        },
        {
          icon: 'assets/icon/frontend/009.svg',
          name: 'webpack',
          desc: 'webpack是一个模块打包器',
          link: 'https://www.webpackjs.com/',
          language: [
            'https://webpack.js.org/',
            'https://www.webpackjs.com/',
            'https://github.com/webpack/webpack'
          ]
        },
        {
          icon: 'assets/icon/frontend/010.png',
          name: 'Babel',
          desc: '用于编写下一代 JavaScript 的编译器',
          link: 'http://babeljs.io/',
          language: [
            'http://babeljs.io/',
            'https://babeljs.cn/',
            'https://github.com/babel/babel'
          ]
        },
        {
          icon: 'assets/icon/frontend/011.svg',
          name: 'ESLint',
          desc: '可组装的JavaScript和JSX检查工具',
          link: 'https://cn.eslint.org/',
          language: [
            'https://cn.eslint.org/',
            'http://eslint.cn/',
            'https://github.com/eslint/eslint'
          ]
        },
        {
          icon: 'https://avatars3.githubusercontent.com/u/10076935?s=200&v=4',
          name: 'stylelint',
          desc: '一个强大的现代样式风格的linter',
          link: 'https://stylelint.io/',
          language: [
            '',
            '',
            'https://github.com/stylelint/stylelint'
          ]
        },
        {
          icon: 'assets/icon/frontend/017.svg',
          name: 'Mocha',
          desc: 'Mocha是JavaScript的一种单元测试框架，既可以在浏览器环境下运行，也可以在Node.js环境下运行',
          link: 'https://mochajs.org/',
          language: [
            '',
            '',
            'https://github.com/mochajs/mocha'
          ]
        },
        {
          icon: 'assets/icon/frontend/081.png',
          name: 'MUI',
          desc: 'MUI: 最接近原生APP体验的高性能前端框架',
          link: 'http://dev.dcloud.net.cn/mui/',
          language: [
            '',
            '',
            'https://github.com/dcloudio/mui'
          ]
        },
        {
          icon: 'https://avatars0.githubusercontent.com/u/12554859?s=200&v=4',
          name: 'rollup',
          desc: 'Rollup 是一个 JavaScript 模块打包器，可以将小块代码编译成大块复杂的代码，例如 library 或应用程序',
          link: 'https://rollupjs.org/guide/zh/',
          language: [
            'https://rollupjs.org/guide/en/',
            'https://rollupjs.org/guide/zh/',
            'https://github.com/rollup/rollup'
          ]
        },
        {
          icon: 'https://avatars1.githubusercontent.com/u/29208316?s=200&v=4',
          name: 'standard',
          desc: 'JavaScript样式指南，带有linter和自动代码修复程序',
          link: 'https://standardjs.com',
          language: [
            '',
            '',
            'https://github.com/standard/standard'
          ]
        },
      ]
    },
    {
      subtitle: '常用插件',
      nav: [
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'sweetalert',
          desc: 'JavaScript Alert 的漂亮替代品',
          link: 'https://sweetalert.js.org/',
          language: [
            '',
            '',
            'https://github.com/t4t5/sweetalert'
          ]
        },
        {
          icon: 'https://avatars0.githubusercontent.com/u/17040762?s=200&v=4',
          name: 'Sortable',
          desc: '一个JavaScript库，用于在现代浏览器和触摸设备上对拖放列表进行重新排序',
          link: 'https://sortablejs.github.io/Sortable/',
          language: [
            '',
            '',
            'https://github.com/SortableJS/Sortable'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'formilyjs',
          desc: 'Formily 是一个由阿里巴巴集团多 BU 共建的面向中后台复杂场景的表单解决方案，它也是一个表单框架',
          link: 'https://formilyjs.org/',
          language: [
            '',
            '',
            'https://github.com/alibaba/formily'
          ]
        },
        {
          icon: 'https://roughnotation.com/images/fav.png',
          name: 'rough-notation',
          desc: '一个小的JavaScript库，用于在网页上创建手绘动画并为其添加动画效果',
          link: 'https://roughnotation.com/',
          language: [
            '',
            '',
            'https://github.com/rough-stuff/rough-notation'
          ]
        },
        {
          icon: 'assets/icon/frontend/013.png',
          name: 'AntV',
          desc: 'AntV 是蚂蚁金服全新一代数据可视化解决方案',
          link: 'https://antv.alipay.com/',
          language: [
            '',
            '',
            'https://github.com/antvis/'
          ]
        },
        {
          icon: 'assets/icon/frontend/021.svg',
          name: 'Lodash',
          desc: 'Lodash是一个一致性、模块化、高性能的 JavaScript 实用工具库',
          link: 'https://www.lodashjs.com/',
          language: [
            'https://lodash.com/',
            'https://www.lodashjs.com/',
            'https://github.com/lodash/lodash'
          ]
        },
        {
          icon: 'assets/icon/frontend/039.png',
          name: 'Swiper',
          desc: '轻量级的移动设备触控滑块的js框架，使用硬件加速过渡',
          link: 'https://www.swiper.com.cn/',
          language: [
            'http://idangero.us/swiper/',
            'https://www.swiper.com.cn/',
            'https://github.com/nolimits4web/swiper'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'fastclick',
          desc: 'Polyfill 解决移动端具有300ms延迟的库',
          link: 'https://github.com/ftlabs/fastclick',
        },
        {
          icon: 'assets/icon/frontend/047.png',
          name: 'Layer',
          desc: '丰富多样的Web弹出层组件,可轻松实现Alert/Confirm/Prompt/普通提示/页面区块/iframe/tips等等几乎所有的弹出交互',
          link: 'http://layer.layui.com/',
          language: [
            '',
            '',
            'https://github.com/sentsin/layer/'
          ]
        },
        {
          icon: 'assets/icon/frontend/053.png',
          name: 'moment.js',
          desc: '一个轻量级的JavaScript日期库，用于解析，验证，操作和格式化日期',
          link: 'http://momentjs.cn/',
          language: [
            'http://momentjs.com/',
            'http://momentjs.cn/',
            'https://github.com/moment/moment'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'js-cookie',
          desc: '一个简单，轻量级的JavaScript API，用于处理浏览器cookie',
          link: 'https://github.com/js-cookie/js-cookie',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'qs',
          desc: '具有嵌套支持的查询字符串解析器',
          link: 'https://github.com/ljharb/qs',
        },
        {
          icon: 'assets/icon/frontend/058.svg',
          name: 'Mock.js',
          desc: '生成随机数据，拦截 Ajax 请求',
          link: 'http://mockjs.com/',
          language: [
            '',
            '',
            'https://github.com/nuysoft/Mock'
          ]
        },
        {
          icon: 'assets/icon/frontend/059.png',
          name: 'GITALK',
          desc: '凹凸实验室出品的一款基于 Github Issue 和 Preact 开发的评论插件',
          link: 'https://gitalk.github.io/',
          language: [
            '',
            '',
            'https://gitalk.github.io/'
          ]
        },
        {
          icon: 'assets/icon/frontend/060.png',
          name: 'prism',
          desc: '轻巧，强大，优雅的代码语法高亮',
          link: 'https://prismjs.com/',
          language: [
            '',
            '',
            'https://github.com/PrismJS/prism'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'nprogress',
          desc: '顶部加载进度条',
          link: 'http://ricostacruz.com/nprogress/',
          language: [
            '',
            '',
            'https://github.com/rstacruz/nprogress'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'iNotify',
          desc: 'JS实现浏览器标题闪烁，滚动，语音提示，Chrome/Safari/FireFox/IE通知',
          link: 'https://git.io/iNotify',
          language: [
            '',
            '',
            'https://github.com/jaywcjlove/iNotify'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'html2canvas',
          desc: '最流行的JavaScript屏幕截图',
          link: 'https://html2canvas.hertzen.com/',
          language: [
            '',
            '',
            'https://github.com/niklasvh/html2canvas'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'dayjs',
          desc: '使用与Moment.js兼容的API来解析，验证，操作和显示现代浏览器的日期和时间',
          link: 'https://github.com/iamkun/dayjs/blob/master/docs/zh-cn/API-reference.md',
        },
        {
          icon: 'assets/icon/frontend/072.png',
          name: 'JsBarcode',
          desc: '易于使用但功能强大的条形码生成器，适用于Web和Node.js',
          link: 'https://lindell.me/JsBarcode/',
          language: [
            '',
            '',
            'https://github.com/lindell/JsBarcode'
          ]
        },
        {
          icon: 'assets/icon/frontend/079.png',
          name: 'clipboard.js',
          desc: '现代复制到剪贴板。没有Flash。只需3kb gzipped。',
          link: 'https://clipboardjs.com/',
          language: [
            '',
            '',
            'https://github.com/zenorocha/clipboard.js'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'lib-flexible',
          desc: '可伸缩布局方案, 淘宝rem解决方案',
          link: 'https://github.com/amfe/lib-flexible',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'js-xss',
          desc: '根据白名单过滤HTML(防止XSS攻击)',
          link: 'https://github.com/leizongmin/js-xss',
        },
        {
          icon: 'assets/icon/frontend/097.png',
          name: 'mescroll',
          desc: '精致的下拉刷新和上拉加载 js框架.支持vue,完美运行于移动端和主流PC浏览器',
          link: 'http://www.mescroll.com/index.html',
          language: [
            '',
            '',
            'https://github.com/mescroll/mescroll'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'better-scroll',
          desc: '灵感来自iscroll，它具有更好的滚动性能',
          link: 'https://ustbhuangyi.github.io/better-scroll/',
          language: [
            '',
            '',
            'https://github.com/ustbhuangyi/better-scroll'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'pinyinjs',
          desc: '一个实现汉字与拼音互转的小巧web工具库',
          link: 'http://demo.haoji.me/pinyinjs/',
          language: [
            '',
            '',
            'https://github.com/sxei/pinyinjs'
          ]
        },
        {
          icon: 'assets/icon/frontend/144.png',
          name: 'ms',
          desc: '使用此包可以轻松地将各种时间格式转换为毫秒。',
          link: 'https://github.com/zeit/ms',
        },
        {
          icon: 'assets/icon/frontend/145.png',
          name: 'ramda',
          desc: '适用于JavaScript程序员的实用函数库',
          link: 'https://ramdajs.com',
          language: [
            '',
            '',
            'https://github.com/ramda/ramda'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'decimal.js',
          desc: 'JavaScript的任意精度Decimal类型 (0.1+0.2=0.3)',
          link: 'http://mikemcl.github.io/decimal.js',
          language: [
            '',
            '',
            'https://github.com/MikeMcl/decimal.js/'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'copy-to-clipboard',
          desc: '简单的模块公开copy功能，它将尝试使用execCommand与特定于IE的clipboardData接口的回退，最后，通常prompt使用适当的文本内容和消息',
          link: 'https://github.com/sudodoki/copy-to-clipboard',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'path-to-regexp',
          desc: '将字符串路径转换成正则表达式',
          link: 'https://github.com/pillarjs/path-to-regexp',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'autosize',
          desc: 'autosize是一个小的独立脚本，可以自动调整textarea域的高度以适合文本',
          link: 'http://www.jacklmoore.com/autosize/',
          language: [
            '',
            '',
            'https://github.com/jackmoore/autosize'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'shake.js',
          desc: '监听手机设备摇动',
          link: 'https://github.com/alexgibson/shake.js',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'progressbar',
          desc: '可以轻松地为Web创建响应式和时尚的进度栏。动画即使在移动设备上也表现良好',
          link: 'https://kimmobrunfeldt.github.io/progressbar.js/',
          language: [
            '',
            '',
            'https://github.com/kimmobrunfeldt/progressbar.js'
          ]
        },
        {
          icon: 'https://avatars0.githubusercontent.com/u/28626637?s=200&v=4',
          name: 'easy-mock',
          desc: 'Easy Mock 是一个可视化，并且能快速生成模拟数据的持久化服务',
          link: 'https://easy-mock.com',
          language: [
            '',
            '',
            'https://github.com/easy-mock/easy-mock/blob/dev/README.zh-CN.md'
          ]
        },
        {
          icon: 'https://joe.sh/assets/images/favicon.ico',
          name: 'Clamp.js',
          desc: 'JS版本的多行文本溢出省略',
          link: 'https://joe.sh/clamp-js',
          language: [
            '',
            '',
            'https://github.com/josephschmitt/Clamp.js'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'json-bigint',
          desc: '带有bigints支持的JSON.parse / stringify',
          link: 'https://github.com/sidorares/json-bigint'
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'exif-js',
          desc: '用于读取EXIF图像元数据的JavaScript库',
          link: 'https://github.com/exif-js/exif-js'
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'lunr.js',
          desc: 'Lunr.js是一个用于浏览器的小型全文本搜索库。它为JSON文档建立索引，并提供一个简单的搜索界面来检索与文本查询最匹配的文档',
          link: 'https://github.com/olivernn/lunr.js'
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'hotkeys',
          desc: '强大的Javascript库，用于捕获键盘输入和输入的按键组合。它没有依赖性。',
          link: 'https://wangchujiang.com/hotkeys/',
          language: [
            '',
            '',
            'https://github.com/jaywcjlove/hotkeys'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'dom-to-image',
          desc: '使用HTML5 canvas从DOM节点生成图像',
          link: 'https://github.com/tsayen/dom-to-image'
        },
        {
          icon: 'https://avatars1.githubusercontent.com/u/59940233?s=200&v=4',
          name: 'single-spa',
          desc: '使微前端变得简单',
          link: 'https://single-spa.js.org/',
          language: [
            '',
            '',
            'https://github.com/single-spa/single-spa'
          ]
        },
        {
          icon: 'https://avatars2.githubusercontent.com/u/33895495?s=200&v=4',
          name: 'qiankun',
          desc: '为微型前端提供快速，简单和完整的解决方案',
          link: 'https://qiankun.umijs.org/',
          language: [
            '',
            '',
            'https://github.com/umijs/qiankun'
          ]
        },
        {
          icon: 'https://zelark.github.io/nano-id-cc/favicon.ico',
          name: 'nanoid',
          desc: '一个很小的，安全的，URL友好的，唯一的JavaScript字符串ID生成器。',
          link: 'https://zelark.github.io/nano-id-cc/',
          language: [
            '',
            '',
            'https://github.com/ai/nanoid'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'Numeral-js',
          desc: '一个用于格式化和处理数字的javascript库',
          link: 'http://numeraljs.com',
          language: [
            '',
            '',
            'https://github.com/adamwdraper/Numeral-js'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'ua-parser-js',
          desc: '用于从userAgent字符串检测浏览器，引擎，操作系统，CPU和设备类型/模型。支持浏览器和node.js环境',
          link: 'http://faisalman.github.io/ua-parser-js/',
          language: [
            '',
            '',
            'https://github.com/faisalman/ua-parser-js'
          ]
        },
        {
          icon: 'https://avatars0.githubusercontent.com/u/7997161?s=200&v=4',
          name: 'hammer.js',
          desc: '一个用于多点触摸手势的javascript库',
          link: 'http://hammerjs.github.io',
          language: [
            '',
            '',
            'https://github.com/hammerjs/hammer.js'
          ]
        },
      ]
    },
    {
      subtitle: '国际化多语言方案',
      nav: [
        {
          icon: 'https://avatars1.githubusercontent.com/u/8546082?s=200&v=4',
          name: 'i18next',
          desc: 'i18next是一个非常流行的国际化框架，适用于浏览器或任何其他JavaScript环境（例如，node.js）。',
          link: 'http://i18next.com/',
          language: [
            '',
            '',
            'https://github.com/i18next/i18next'
          ]
        },
        {
          icon: 'https://avatars3.githubusercontent.com/u/11225539?s=200&v=4',
          name: 'js-lingui',
          desc: 'JavaScript的可读，自动化和优化（5 kb）国际化',
          link: 'https://lingui.js.org/',
          language: [
            '',
            '',
            'https://github.com/lingui/js-lingui'
          ]
        },
      ]
    },
    {
      subtitle: '动画',
      nav: [
        {
          icon: 'assets/icon/frontend/073.png',
          name: 'wow.js',
          desc: '基于Animate.css,向下滚动页面时显示CSS动画,轻松自定义动画设置：样式，延迟，长度，偏移，迭代...',
          link: 'http://mynameismatthieu.com/WOW/',
          language: [
            '',
            '',
            'https://github.com/matthieua/WOW'
          ]
        },
        {
          icon: 'assets/icon/frontend/067.png',
          name: 'Waves',
          desc: '受Google材质设计启发的点击效果, 波纹效果',
          link: 'http://fian.my.id/Waves/#examples',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'velocity',
          desc: '加速JavaScript动画',
          link: 'http://velocityjs.org/',
          language: [
            '',
            '',
            'https://github.com/julianshapiro/velocity'
          ]
        },
        {
          icon: 'assets/icon/frontend/074.png',
          name: 'anime',
          desc: '轻量级的JavaScript动画库。它适用于任何CSS属性，单个CSS转换，SVG或任何DOM属性以及JavaScript对象',
          link: 'http://animejs.com/',
          language: [
            '',
            '',
            'https://github.com/juliangarnier/anime'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'Hover-Buttons',
          desc: 'hover动画CSS / SCSS按钮',
          link: 'https://varin6.github.io/Hover-Buttons/',
          language: [
            '',
            '',
            'https://github.com/Varin6/Hover-Buttons'
          ]
        },
      ]
    },
    {
      subtitle: '加盐',
      nav: [
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'JavaScript-MD5',
          desc: 'JavaScript MD5实现。兼容服务器端环境，如node.js，RequireJS等模块加载器和所有Web浏览器',
          link: 'https://blueimp.github.io/JavaScript-MD5/',
          language: [
            '',
            '',
            'https://github.com/blueimp/JavaScript-MD5'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'js-sha1',
          desc: 'JavaScript的简单SHA1哈希函数支持UTF-8编码。',
          link: 'https://github.com/emn178/js-sha1',
          language: [
            '',
            '',
            'https://github.com/emn178/js-sha1'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'js-base64',
          desc: 'JavaScript的Base64实现',
          link: 'https://github.com/dankogai/js-base64',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'jsSHA',
          desc: 'SHA-1，SHA-224，SHA3-224，SHA-256，SHA3-256，SHA-384，SHA3-384，SHA-512，SHA3-512，SHAKE128 ，和SHAKE256以及HMAC',
          link: 'https://caligatio.github.io/jsSHA/',
          language: [
            '',
            '',
            'https://github.com/Caligatio/jsSHA'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'crypto-js',
          desc: '加密标准的JavaScript库',
          link: 'https://cryptojs.gitbook.io',
          language: [
            '',
            '',
            'https://github.com/brix/crypto-js'
          ]
        },
      ]
    },
    {
      subtitle: '文件插件相关',
      nav: [
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'pdf.js',
          desc: 'PDF.js是一个使用HTML5构建的可移植文档格式（PDF）查看器',
          link: 'https://mozilla.github.io/pdf.js/web/viewer.html',
          language: [
            '',
            '',
            'https://github.com/mozilla/pdf.js'
          ]
        },
        {
          icon: 'assets/icon/frontend/051.png',
          name: 'webuploader',
          desc: '百度出品，采用大文件分片并发上传，极大的提高了文件上传效率。',
          link: 'http://fex.baidu.com/webuploader/',
          language: [
            '',
            '',
            'https://github.com/fex-team/webuploader'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'pdfmake',
          desc: '纯JavaScript中的客户端/服务器端PDF打印, HTML转换Pdf',
          link: 'http://pdfmake.org/',
          language: [
            '',
            '',
            'https://github.com/bpampuch/pdfmake'
          ]
        },
        {
          icon: 'assets/icon/frontend/082.png',
          name: 'ViewerJS',
          desc: 'JavaScript中的文档阅读器, pdf/ppt/opt/odt等文件渲染成HTML',
          link: 'https://viewerjs.org/',
          language: [
            '',
            '',
            'https://github.com/kogmbh/ViewerJS'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'filepond',
          desc: '灵活而有趣的JavaScript文件上传库',
          link: 'https://pqina.nl/filepond/',
          language: [
            '',
            '',
            'https://github.com/pqina/filepond'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'FileSaver.js',
          desc: '客户端保存文件的解决方案，非常适合在客户端上生成文件的Web应用程序',
          link: 'https://github.com/eligrey/FileSaver.js',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'jsPDF',
          desc: '一个使用JavaScript生成PDF的库',
          link: 'https://parall.ax/products/jspdf',
          language: [
            '',
            '',
            'https://github.com/MrRio/jsPDF'
          ]
        },
      ]
    },
    {
      subtitle: '图片预览',
      nav: [
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'PhotoSwipe',
          desc: '适用于移动和桌面的JavaScript图像库, 图片预览',
          link: 'http://photoswipe.com/',
          language: [
            '',
            '',
            'https://github.com/dimsemenov/PhotoSwipe'
          ]
        },
        {
          icon: 'assets/icon/frontend/109.png',
          name: 'viewerjs',
          desc: 'javascript图片预览',
          link: 'https://fengyuanchen.github.io/viewerjs/',
          language: [
            '',
            '',
            'https://github.com/fengyuanchen/viewerjs'
          ]
        },
      ]
    },
    {
      subtitle: '音频/视频',
      nav: [
        {
          icon: 'assets/icon/frontend/096.png',
          name: 'howler.js',
          desc: '现代 Web 音频 javascript 库',
          link: 'https://howlerjs.com/',
          language: [
            '',
            '',
            'https://github.com/goldfire/howler.js'
          ]
        },
        {
          icon: 'assets/icon/frontend/101.png',
          name: 'DPlayer',
          desc: '哇，这么可爱的HTML5 danmaku视频播放器',
          link: 'http://dplayer.js.org/#/zh-Hans/',
          language: [
            'http://dplayer.js.org/#/home',
            'http://dplayer.js.org/#/zh-Hans/',
            'https://github.com/MoePlayer/DPlayer'
          ]
        },
        {
          icon: 'assets/icon/frontend/102.jpg',
          name: 'APlayer',
          desc: '哇，这么可爱的HTML5音乐播放器',
          link: 'https://aplayer.js.org/#/zh-Hans/',
          language: [
            'http://aplayer.js.org/',
            'https://aplayer.js.org/#/zh-Hans/',
            'https://github.com/MoePlayer/APlayer'
          ]
        },
      ]
    },
    {
      subtitle: '图形',
      nav: [
        {
          icon: 'assets/icon/frontend/043.png',
          name: 'three.js',
          desc: 'JavaScript 3D引擎',
          link: 'https://threejs.org/',
          language: [
            'https://threejs.org/',
            'http://techbrood.com/threejs/docs',
            'https://github.com/mrdoob/three.js'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'flowy',
          desc: '创建流程图的最小JavaScript库',
          link: 'https://github.com/alyssaxuu/flowy'
        },
        {
          icon: 'https://echarts.apache.org/examples/images/favicon.png',
          name: 'incubator-echarts',
          desc: '浏览器的功能强大的交互式图表和可视化库',
          link: 'http://echarts.apache.org/',
          language: [
            '',
            '',
            'https://github.com/apache/incubator-echarts'
          ]
        },
      ]
    },
    {
      subtitle: 'UI组件库',
      nav: [
        {
          icon: 'assets/icon/frontend/111.png',
          name: 'uikit',
          desc: '一款轻量级、模块化的前端框架可快速构建强大的web前端界面',
          link: 'http://www.getuikit.net/',
          language: [
            'https://getuikit.com/docs/installation',
            'http://www.getuikit.net/',
            'https://github.com/uikit/uikit'
          ]
        },
      ]
    },
    {
      subtitle: '原生APP交互webview桥接',
      nav: [
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'JsBridge',
          desc: 'android java和javascript桥接，灵感来自微信webview jsbridge',
          link: 'https://github.com/lzyzsd/JsBridge',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'DSBridge-Android',
          desc: '一个现代的跨平台JavaScript桥接，通过它您可以在JavaScript和本机之间同步或异步地调用彼此的功能',
          link: 'https://github.com/wendux/DSBridge-Android',
        },
      ]
    },
    {
      subtitle: '参数验证',
      nav: [
        {
          icon: 'assets/icon/frontend/142.png',
          name: 'joi',
          desc: '对象模式验证',
          link: 'https://github.com/hapijs/joi',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'validator.js',
          desc: '字符串验证插件、表单验证',
          link: 'https://github.com/chriso/validator.js',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'async-validator',
          desc: '异步验证器',
          link: 'https://github.com/yiminghe/async-validator',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'yup',
          desc: '无效的简单对象架构验证',
          link: 'https://runkit.com/jquense/yup',
          language: [
            '',
            '',
            'https://github.com/jquense/yup#using-a-custom-locale-dictionary'
          ]
        },
      ]
    },
    {
      subtitle: '步骤引导',
      nav: [
        {
          icon: 'https://avatars2.githubusercontent.com/u/2010360?s=200&v=4',
          name: 'introjs',
          desc: '为您的网站和项目提供新功能介绍和逐步用户指南的更好方法',
          link: 'https://introjs.com/',
          language: [
            '',
            '',
            'https://github.com/usablica/intro.js'
          ]
        },
        {
          icon: 'https://avatars3.githubusercontent.com/u/17297725?s=200&v=4',
          name: 'shepherd',
          desc: '引导您的用户浏览您的应用程序',
          link: 'https://shepherdjs.dev/',
          language: [
            '',
            '',
            'https://github.com/shipshapecode/shepherd'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'bootstrap-tour',
          desc: '使用Twitter Bootstrap Popovers快速方便地进行产品浏览',
          link: 'http://bootstraptour.com/',
          language: [
            '',
            '',
            'https://github.com/sorich87/bootstrap-tour'
          ]
        },
      ]
    },
	]
}