export default {
  title: 'react',
  nav: [
    {
      subtitle: '生态系统',
      nav: [
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'React',
          desc: '用于构建用户界面的 JavaScript 库',
          link: 'https://zh-hans.reactjs.org/',
          language: [
            'https://reactjs.org/',
            'https://zh-hans.reactjs.org/',
            'https://github.com/facebook/react/'
          ]
        },
        {
          icon: 'assets/icon/frontend/2.png',
          name: 'React Router',
          desc: 'React 路由管理',
          link: 'https://react-router.docschina.org/',
          language: [
            'https://reacttraining.com/react-router/',
            'https://react-router.docschina.org/',
            'https://github.com/ReactTraining/react-router'
          ]
        },
        {
          icon: 'assets/icon/frontend/3.png',
          name: 'Redux',
          desc: 'React 状态管理',
          link: 'http://www.redux.org.cn/docs/react-redux/api.html',
          language: [
            'https://redux.js.org/basics/usagewithreact',
            'http://www.redux.org.cn/docs/react-redux/api.html',
            'https://github.com/reduxjs/redux'
          ]
        },
        {
          icon: 'assets/icon/frontend/4.png',
          name: 'create-react-app',
          desc: 'React官方脚手架',
          link: 'https://www.html.cn/create-react-app/',
          language: [
            'https://facebook.github.io/create-react-app/',
            'https://www.html.cn/create-react-app/',
            'https://github.com/facebook/create-react-app'
          ]
        },
      ]
    },
    {
      subtitle: 'Redux相关',
      nav: [
        {
          icon: 'assets/icon/frontend/3.png',
          name: 'React Redux',
          desc: 'Redux的官方React绑定(通常配合redux使用)',
          link: 'https://react-redux.js.org/',
          language: [
            '',
            '',
            'https://github.com/reduxjs/react-redux',
          ]
        },
        {
          icon: 'assets/icon/frontend/129.png',
          name: 'redux-actions',
          desc: 'Redux的Flux标准action实用程序(用于生成action)',
          link: 'https://redux-actions.js.org/',
          language: [
            '',
            '',
            'https://github.com/redux-utilities/redux-actions',
          ]
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'redux-thunk',
          desc: 'Redux的Thunk中间件, 用于处理异步逻辑',
          link: 'https://github.com/reduxjs/redux-thunk',
        },
        {
          icon: 'assets/icon/frontend/130.png',
          name: 'redux-saga',
          desc: '一个旨在使应用程序副作用（即异步事物，如数据获取和不纯的东西，如访问浏览器缓存）更容易管理，执行更高效，易于测试，以及更好地处理故障的库',
          link: 'https://redux-saga.js.org/',
          language: [
            '',
            '',
            'https://github.com/redux-saga/redux-saga',
          ]
        },
      ]
    },
    {
      subtitle: 'React Native相关',
      nav: [
        {
          icon: 'assets/icon/frontend/019.png',
          name: 'React Native',
          desc: '使用React构建原生APP程序的框架',
          link: 'https://reactnative.cn/docs/0.51/tutorial.html',
          language: [
            'https://facebook.github.io/react-native/docs/getting-started.html',
            'https://reactnative.cn/docs/0.51/tutorial.html',
            'https://github.com/facebook/react-native'
          ]
        },
        {
          icon: 'assets/icon/frontend/117.png',
          name: 'React Navigation',
          desc: '为您的本地应用程序提供路由和导航',
          link: 'https://reactnavigation.org/zh-Hans/',
          language: [
            'https://reactnavigation.org/en/',
            'https://reactnavigation.org/zh-Hans/',
            'https://github.com/react-navigation/react-navigation'
          ]
        },
        {
          icon: 'assets/icon/frontend/118.png',
          name: 'expo',
          desc: '用于制作跨平台移动应用程序的Expo平台',
          link: 'https://docs.expo.io',
          language: [
            '',
            '',
            'https://github.com/expo/expo'
          ]
        },
        {
          icon: 'assets/icon/frontend/5.png',
          name: 'ant-design-mobile-rn',
          desc: '一个基于 React Native 的 UI 组件库',
          link: 'https://rn.mobile.ant.design/index-cn',
          language: [
            'https://rn.mobile.ant.design/',
            'https://rn.mobile.ant.design/index-cn',
            'https://github.com/ant-design/ant-design-mobile-rn'
          ]
        },
      ]
    },
    {
      subtitle: 'PC端UI组件库',
      nav: [
        {
          icon: 'assets/icon/frontend/5.png',
          name: 'Ant Design',
          desc: 'Ant Design - A UI Design Language',
          link: 'https://ant.design/docs/react/introduce-cn',
          language: [
            'https://ant.design/docs/react/introduce',
            'https://ant.design/docs/react/introduce-cn',
            'https://github.com/ant-design/ant-design'
          ]
        },
        {
          icon: 'https://material-ui.com/static/favicon.ico',
          name: 'MATERIAL-UI',
          desc: 'React 组件用于更快速、更简便的 web 开发。你也可以建立你自己的设计系统，或者从 Material Design 开始',
          link: 'https://material-ui.com/zh/',
          language: [
            'https://material-ui.com/',
            'https://material-ui.com/zh/',
            'https://github.com/mui-org/material-ui'
          ]
        },
        {
          icon: 'assets/icon/frontend/6.png',
          name: 'element',
          desc: 'elementUI组件库',
          link: 'https://elemefe.github.io/element-react/#/zh-CN/quick-start',
          language: [
            'https://elemefe.github.io/element-react/#/en-US/quick-start',
            'https://elemefe.github.io/element-react/#/zh-CN/quick-start',
            'https://github.com/ElemeFE/element-react'
          ]
        },
        {
          icon: 'assets/icon/frontend/032.png',
          name: 'react-bootstrap',
          desc: '基于Bootstrap 3构建的组件库',
          link: 'https://react-bootstrap.github.io/getting-started/introduction',
          language: [
            '',
            '',
            'https://github.com/react-bootstrap/react-bootstrap'
          ]
        },
        {
          icon: 'assets/icon/frontend/087.png',
          name: 'evergreen',
          desc: 'Evergreen是一个React UI框架，用于在Web上构建雄心勃勃的产品。由Segment带给您。',
          link: 'https://evergreen.segment.com/',
          language: [
            '',
            '',
            'https://github.com/segmentio/evergreen'
          ]
        },
        {
          icon: 'assets/icon/frontend/113.png',
          name: '@alifd/next',
          desc: '@alifd/next 是 Alibaba Fusion Design 的官方 React 实现, 赋能企业中后台产品开发',
          link: 'https://fusion.design/component/doc/102',
          language: [
            '',
            '',
            'https://github.com/alibaba-fusion/next'
          ]
        },
        {
          icon: 'assets/icon/frontend/093.png',
          name: 'zent',
          desc: 'Zent 是有赞 PC 端 WebUI 规范的 React 实现，提供了一整套基础的 UI 组件以及一些常用的业务组件',
          link: 'https://youzan.github.io/zent/zh/guides/install',
          language: [
            '',
            '',
            'https://github.com/youzan/zent'
          ]
        },
        {
          icon: 'assets/icon/frontend/126.png',
          name: 'React95',
          desc: '装修一新的现代的应用程序做出React Windows95的UI组件。',
          link: 'https://arturbien.github.io/React95',
          language: [
            '',
            '',
            'https://github.com/arturbien/React95'
          ]
        },
        {
          icon: 'https://rsuitejs.com/favicon.ico',
          name: 'rsuite',
          desc: 'React Suite 是一套 React 组件库，为后台产品而生。同时也是一个具有贴心设计以及对开发者友好的 UI 框架',
          link: 'https://rsuitejs.com',
          language: [
            '',
            '',
            'https://github.com/rsuite/rsuite'
          ]
        },
        {
          icon: 'https://avatars2.githubusercontent.com/u/54212428?s=200&v=4',
          name: 'chakra-ui',
          desc: '适用于您的React应用程序的简单，模块化和可访问的UI组件',
          link: 'https://chakra-ui.com/',
          language: [
            '',
            '',
            'https://github.com/chakra-ui/chakra-ui'
          ]
        },
      ]
    },
    {
      subtitle: '移动端UI组件库',
      nav: [
        {
          icon: 'assets/icon/frontend/5.png',
          name: 'Ant Design Mobile',
          desc: '一个基于 Preact / React / React Native 的 UI 组件库',
          link: 'https://mobile.ant.design/index-cn',
          language: [
            'https://mobile.ant.design/',
            'https://mobile.ant.design/index-cn',
            'https://github.com/ant-design/ant-design-mobile/stargazers/',
          ]
        },
      ]
    },
    {
      subtitle: '其他组件库',
      nav: [
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'React Helmet',
          desc: '这个可重用的反应组件将管理对文档头的所有更改',
          link: 'https://github.com/nfl/react-helmet',
          language: [
            '',
            '',
            'https://github.com/nfl/react-helmet',
          ]
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-image-crop',
          desc: '用于React的响应式图像裁剪工具',
          link: 'https://github.com/DominicTobias/react-image-crop',
        },
        {
          icon: 'assets/icon/frontend/029.jpg',
          name: 'React Helmet',
          desc: '这个可重用的反应组件将管理对文档头的所有更改',
          link: 'https://github.com/nfl/react-helmet',
          language: [
            '',
            '',
            'https://github.com/nfl/react-helmet',
          ]
        },
        {
          icon: 'assets/icon/frontend/030.png',
          name: 'react-transition-group',
          desc: '当React组件进入或离开DOM时执行动画的简单方法',
          link: 'https://reactcommunity.org/react-transition-group/',
          language: [
            'https://reactcommunity.org/react-transition-group/',
            '',
            'https://github.com/reactjs/react-transition-group',
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'React Loadable',
          desc: '用于加载具有promise的组件的更高阶组件 - 路由懒加载',
          link: 'https://github.com/jamiebuilds/react-loadable',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'react-swipe',
          desc: '基于swipe.js封装的react组件/走马灯',
          link: 'https://github.com/voronianski/react-swipe',
        },
        {
          icon: 'assets/icon/frontend/062.png',
          name: 'Ant Motion',
          desc: '使用 Ant Motion 能够快速在 React 框架中使用动画,我们提供了单项，组合动画，以及整套解决方案',
          link: 'https://motion.ant.design/',
          language: [
            '',
            '',
            'https://github.com/ant-design/ant-motion/'
          ]
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'video-react',
          desc: '网络视频播放器使用React库从头开始构建HTML5世界',
          link: 'https://video-react.js.org/',
          language: [
            '',
            '',
            'https://github.com/video-react/video-react'
          ]
        },
        {
          icon: 'assets/icon/frontend/095.png',
          name: 'react-beautiful-dnd',
          desc: '漂亮的和可访问的拖放列表',
          link: 'https://github.com/atlassian/react-beautiful-dnd',
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-keeper',
          desc: '一个react路由库，更适合移动端使用，拥有缓存等功能',
          link: 'https://github.com/vifird/react-keeper',
        },
        {
          icon: 'assets/icon/frontend/113.png',
          name: 'Fusion Design',
          desc: '基于React构建的Web可配置组件库',
          link: 'https://fusion.design',
          language: [
            '',
            '',
            'https://github.com/alibaba-fusion/next'
          ]
        },
        {
          icon: 'assets/icon/frontend/131.png',
          name: 'recharts',
          desc: '基于 React和D3 的组合式图表库',
          link: 'http://recharts.org/zh-CN/',
          language: [
            '',
            '',
            'https://github.com/recharts/recharts'
          ]
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-json-view',
          desc: 'JSON查看器',
          link: 'https://mac-s-g.github.io/react-json-view/demo/dist/',
          language: [
            '',
            '',
            'https://github.com/mac-s-g/react-json-view'
          ]
        },
        {
          icon: 'assets/icon/frontend/013.png',
          name: 'BizCharts',
          desc: '基于G2和React的强大数据可视化库',
          link: 'https://bizcharts.net/products/bizCharts',
          language: [
            '',
            '',
            'https://github.com/alibaba/BizCharts'
          ]
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-draggable',
          desc: '一个简单的组件，用于使元素可拖动',
          link: 'https://github.com/mzabriskie/react-draggable',
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-slick',
          desc: 'react走马灯组件',
          link: 'https://react-slick.neostack.com/',
          language: [
            '',
            '',
            'https://github.com/akiran/react-slick'
          ]
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-color',
          desc: 'react 拾色器',
          link: 'http://casesandberg.github.io/react-color/',
          language: [
            '',
            '',
            'https://github.com/casesandberg/react-color'
          ]
        },
        {
          icon: 'https://avatars1.githubusercontent.com/u/50559490?s=200&v=4',
          name: 'react-intl',
          desc: '国际化React应用程序。这个库提供了React组件和一个API，用于格式化日期，数字和字符串，包括复数形式和处理翻译',
          link: 'https://github.com/formatjs/react-intl',
        },
        {
          icon: 'https://avatars3.githubusercontent.com/u/1763971?s=200&v=4',
          name: 'react-data-grid',
          desc: '使用React构建的类似于Excel的网格组件，具有编辑器，键盘导航，复制和粘贴等功能',
          link: 'http://adazzle.github.io/react-data-grid/',
          language: [
            '',
            '',
            'https://github.com/adazzle/react-data-grid'
          ]
        },
        {
          icon: 'https://cloud.githubusercontent.com/assets/29597/11736841/c0497158-9f87-11e5-8dfe-9c0be97d4286.png',
          name: 'react-virtualized',
          desc: 'React组件可有效呈现大型列表和表格数据',
          link: 'http://www.reactvirtualized.com',
          language: [
            '',
            '',
            'https://github.com/bvaughn/react-virtualized'
          ]
        },
        {
          icon: 'https://avatars3.githubusercontent.com/u/5078602?s=200&v=4',
          name: 'react-live',
          desc: '一个用于实时编辑React组件的灵活组件库',
          link: 'https://react-live.netlify.com/',
          language: [
            '',
            '',
            'https://github.com/FormidableLabs/react-live'
          ]
        },
        {
          icon: 'https://jaredpalmer.com/formik/img/favicon.png',
          name: 'formik',
          desc: '在React中轻松创建表单',
          link: 'https://jaredpalmer.com/formik/docs/overview',
          language: [
            '',
            '',
            'https://github.com/jaredpalmer/formik'
          ]
        },
      ]
    },
    {
      subtitle: '开箱即用',
      nav: [
        {
          icon: 'assets/icon/frontend/033.png',
          name: 'ANT DESIGN PRO',
          desc: '开箱即用的中台前端/设计解决方案',
          link: 'https://pro.ant.design/',
          language: [
            '',
            'https://pro.ant.design/',
            'https://github.com/ant-design/ant-design-pro/',
          ]
        },
      ]
    },
    {
      subtitle: '单元测试',
      nav: [
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'enzyme',
          desc: '适用于React的JavaScript测试实用程序',
          link: 'https://enzymejs.github.io/enzyme/',
          language: [
            '',
            '',
            'https://github.com/enzymejs/enzyme',
          ]
        },
        {
          icon: 'assets/icon/frontend/115.png',
          name: 'Jest',
          desc: 'Jest是一个令人愉快的JavaScript测试框架，专注于简单性。',
          link: 'https://jestjs.io/zh-Hans/',
          language: [
            '',
            '',
            'https://github.com/facebook/jest',
          ]
        },
      ]
    },
    {
      subtitle: 'umi/dva',
      nav: [
        {
          icon: 'https://avatars2.githubusercontent.com/u/33895495?s=200&v=4',
          name: 'umijs',
          desc: '插件化的企业级前端应用框架。',
          link: 'https://umijs.org/zh-CN',
          language: [
            'https://umijs.org/',
            'https://umijs.org/zh-CN',
            'https://github.com/umijs/umi',
          ]
        },
        {
          icon: 'assets/icon/frontend/030.png',
          name: 'DvaJS',
          desc: '基于React和Redux的轻量级和elm风格框架',
          link: 'https://dvajs.com/',
          language: [
            '',
            '',
            'https://github.com/dvajs/dva'
          ]
        },
        {
          icon: 'https://avatars2.githubusercontent.com/u/33895495?s=200&v=4',
          name: 'umijs/hooks',
          desc: '你可以将 umi hooks 使用在任何地方，和任意组件库搭配使用。虽然我们的代码示例都是基于 ant design 的，但是并不代表我们的 Hooks 只能和 ant design 配合使用',
          link: 'https://hooks.umijs.org/',
          language: [
            '',
            'https://hooks.umijs.org/',
            'https://github.com/umijs/hooks',
          ]
        },
        {
          icon: 'https://avatars2.githubusercontent.com/u/33895495?s=200&v=4',
          name: 'umi-plugin-cache-route',
          desc: '路由缓存，类似vue keep-alive',
          link: 'https://www.npmjs.com/package/umi-plugin-cache-route',
        },
      ]
    },
    {
      subtitle: '知识',
      nav: [
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'React.js 小书',
          desc: '这是一本关于 React.js 的小书',
          link: 'http://huziketang.mangojuice.top/books/react/',
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'TypeScript-React-Starter',
          desc: 'TypeScript和React的入门模板，带有详细的README，描述了如何将两者结合使用。',
          link: 'https://github.com/Microsoft/TypeScript-React-Starter',
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-redux-typescript-guide',
          desc: 'TypeScript中的React和 Redux - 使用说明',
          link: 'https://piotrwitek.github.io/react-redux-typescript-guide/',
          language: [
            '',
            '',
            'https://github.com/piotrwitek/react-redux-typescript-guide'
          ]
        },
      ]
    },
    {
      subtitle: '其他',
      nav: [
        {
          icon: 'assets/icon/frontend/034.png',
          name: 'Mobx',
          desc: '简单、可扩展的状态管理',
          link: 'https://cn.mobx.js.org/',
          language: [
            'https://mobx.js.org/',
            'https://cn.mobx.js.org/',
            'https://github.com/mobxjs/mobx'
          ]
        },
        {
          icon: 'assets/icon/frontend/030.png',
          name: 'next.js',
          desc: '服务端渲染框架、SEO解决方案',
          link: 'https://www.nextjs.cn/',
          language: [
            'https://nextjs.org/',
            'https://www.nextjs.cn/',
            'https://github.com/zeit/next.js'
          ]
        },
        {
          icon: 'assets/icon/frontend/122.png',
          name: 'react-dnd',
          desc: 'React DnD是一组React实用程序，可帮助您构建复杂的拖放接口，同时保持组件分离',
          link: 'https://react-dnd.github.io/react-dnd/about',
          language: [
            '',
            '',
            'https://github.com/react-dnd/react-dnd'
          ]
        },
        {
          icon: 'assets/icon/frontend/030.png',
          name: 'nwb',
          desc: '适用于Web的React，Preact，Inferno和Vanilla JS应用，React库和其他npm模块的工具包，无需配置',
          link: 'https://github.com/insin/nwb',
        },
        {
          icon: 'https://ahooks.js.org/simple-logo.svg',
          name: 'ahooks',
          desc: '为 React Hooks 而生',
          link: 'https://ahooks.js.org/zh-CN',
          language: [
            '',
            '',
            'https://github.com/alibaba/hooks'
          ]
        },
        {
          icon: 'https://reactjs.org/favicon.ico',
          name: 'react-app-rewired',
          desc: '覆盖create-react-app webpack配置而不弹出',
          link: 'https://github.com/timarney/react-app-rewired',
        },
      ]
    },
  ]
}
