export default {
  title: '工具',
  nav: [
    {
      subtitle: 'CSS',
      nav: [
        {
          icon: 'assets/icon/frontend/0.svg',
          name: 'CSS3 UI Lib',
          desc: 'CSS动画集成、在线调试阴影',
          link: 'http://css3lib.alloyteam.com/#panel/demo1',
        },
        {
          icon: 'assets/icon/utility-tool/032.png',
          name: 'CSS Sprites Generator',
          desc: 'CSS雪碧图生成',
          link: 'https://www.toptal.com/developers/css/sprite-generator',
        },
        {
          icon: 'assets/icon/utility-tool/003.svg',
          name: 'CSS渐变调试器',
          desc: '前端开发调试CSS渐变必备神器',
          link: 'http://www.colorzilla.com/gradient-editor/',
        },
        {
          icon: 'assets/icon/frontend/020.png',
          name: 'Animista',
          desc: '在线生成CSS动画',
          link: 'http://animista.net/play/background/ken-burns',
        },
        {
          icon: 'assets/icon/frontend/036.png',
          name: 'CSS Gradient',
          desc: 'CSS渐变调试并生成CSS代码',
          link: 'https://cssgradient.io/',
        },
        {
          icon: 'assets/icon/frontend/037.png',
          name: 'Grabient',
          desc: 'CSS渐变调试并生成CSS代码，还可以角度变换',
          link: 'https://www.grabient.com/',
          language: [
            '',
            '',
            'https://github.com/johnkorzhuk/grabient'
          ]
        },
        {
          icon: 'assets/icon/frontend/0.svg',
          name: 'px与em单位转换',
          desc: 'px与em单位转换',
          link: 'http://pxtoem.com/',
        },
        {
          icon: 'assets/icon/frontend/066.gif',
          name: 'CSS三角形產生器',
          desc: 'CSS三角形產生器 - 使用純CSS繪畫三角形',
          link: 'http://apps.eky.hk/css-triangle-generator/zh-hant',
        },
        {
          icon: 'assets/icon/frontend/014.png',
          name: 'SassMeister',
          desc: '将sass语法转换成CSS语法',
          link: 'https://www.sassmeister.com/',
        },
        {
          icon: 'assets/icon/frontend/103.png',
          name: 'transfonter',
          desc: '字体图标转换Base64',
          link: 'https://transfonter.org/',
        },
        {
          icon: 'assets/icon/frontend/104.png',
          name: 'Loading集合',
          desc: '上千种Loading认你选',
          link: 'https://www.xiejiahe.com/detail/59ec506be9b3310879551f5e',
        },
        {
          icon: 'https://cssreference.io/favicons/favicon-32x32.png',
          name: 'CSS Reference',
          desc: 'css参考是一个免费的视觉指导css。它以最受欢迎的特性为特色，并用插图和动画示例对其进行说明',
          link: 'https://cssreference.io/',
        },
        {
          icon: 'https://www.w3cschool.cn/favicon.ico',
          name: '在线CSS阴影调试',
          desc: 'CSS3 Box Shadow(阴影)效果在线调试工具',
          link: 'https://www.w3cschool.cn/tools/index?name=css3_boxshadow',
        },
      ]
    },
    {
      subtitle: 'JavaScript',
      nav: [
        {
          icon: 'assets/icon/utility-tool/004.png',
          name: '正则表达式验证器',
          desc: '验证JavaScript正则表达式',
          link: 'https://regexper.com/',
        },
        {
          icon: 'assets/icon/frontend/064.png',
          name: 'JSON在线解析及格式化验证',
          desc: 'json在线解析,json格式化,json格式验证,json转xml,xml转json',
          link: 'https://www.json.cn/',
        },
        {
          icon: 'assets/icon/frontend/071.png',
          name: 'prettier',
          desc: 'Prettier是一个固定的代码格式化程序。它通过解析代码并使用自己的规则重新打印它来强制执行一致的样式，这些规则考虑了最大行长度，并在必要时包装代码',
          link: 'https://prettier.io/',
          language: [
            '',
            '',
            'https://github.com/prettier/prettier'
          ]
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: '正则表达式在线测试',
          desc: '正则表达式在线测试',
          link: 'http://tool.chinaz.com/regex',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'spy-debugger',
          desc: '微信调试，各种WebView样式调试、手机浏览器的页面真机调试。便捷的远程调试手机页面、抓包工具，支持：HTTP/HTTPS，无需USB连接设备',
          link: 'https://github.com/wuchangming/spy-debugger',
        },
        {
          icon: 'assets/icon/frontend/023.png',
          name: 'VConsole',
          desc: '一个轻量、可拓展、针对手机网页的前端开发者调试面板',
          link: 'https://github.com/Tencent/vConsole/',
          language: [
            'https://github.com/Tencent/vConsole',
            'https://github.com/Tencent/vConsole/blob/dev/README_CN.md'
          ]
        },
      ]
    },
    {
      subtitle: 'CDN',
      nav: [
        {
          icon: 'assets/icon/frontend/068.png',
          name: 'Staticfile CDN',
          desc: '免费CDN服务，包括 JavaScript、CSS、图片和 swf 等静态文件',
          link: 'https://www.staticfile.org/',
        },
        {
          icon: 'assets/icon/frontend/069.png',
          name: 'jsDelivr',
          desc: 'jsDelivr – 开源 CDN',
          link: 'https://www.jsdelivr.com/',
        },
        {
          icon: 'assets/icon/frontend/070.png',
          name: 'BootCDN',
          desc: '稳定、快速、免费的前端开源项目 CDN 加速服务',
          link: 'https://www.bootcdn.cn/',
        },
        {
          icon: 'assets/icon/frontend/112.png',
          name: 'cdnjs',
          desc: '面向Web开发人员的免费和开源公共Web CDN！',
          link: 'https://cdnjs.com/',
          language: [
            '',
            '',
            'https://github.com/cdnjs/cdnjs'
          ]
        },
      ]
    },
    {
      subtitle: '其他',
      nav: [
        {
          icon: 'assets/icon/utility-tool/011.png',
          name: 'FunDebug',
          desc: '支持前端JavaScript，后端Node.js以及微信小程序错误监控',
          link: 'https://www.fundebug.com/',
        },
        {
          icon: 'assets/icon/utility-tool/010.png',
          name: '前端兼容性查询',
          desc: '前端查询API各个厂商兼容性情况',
          link: 'https://www.caniuse.com/',
        },
        {
          icon: 'assets/icon/frontend/035.png',
          name: 'Browserhacks',
          desc: 'Browserhacks是来自各个互联网的浏览器特定CSS和JavaScript hacks的广泛列表。',
          link: 'http://browserhacks.com/',
          language: [
            '',
            '',
            'https://github.com/4ae9b8/browserhacks'
          ]
        },
        {
          icon: 'assets/icon/frontend/0.svg',
          name: 'Character Entity Reference Chart',
          desc: '字符实体参考图，&gt;',
          link: 'https://dev.w3.org/html5/html-author/charref',
        },
        {
          icon: 'assets/icon/friendship-link/01.png',
          name: 'awesome-web-editor',
          desc: '开源web编辑器汇总列表',
          link: 'https://github.com/xjh22222228/awesome-web-editor',
        },
        {
          icon: 'assets/icon/utility-tool/013.png',
          name: 'jsfiddle',
          desc: '强大的前端代码在线演示的网站',
          link: 'http://jsfiddle.net/',
        },
        {
          icon: 'https://avatars0.githubusercontent.com/u/11043997?s=200&v=4',
          name: 'jsperf',
          desc: 'jsPerf旨在提供一种简单的方法来创建和共享测试用例，通过运行基准测试来比较不同JavaScript代码段的性能',
          link: 'https://jsperf.com/',
          language: [
            '',
            '',
            'https://github.com/jsperf/jsperf.com'
          ]
        },
        {
          icon: 'assets/icon/frontend/143.png',
          name: 'codesandbox',
          desc: 'codesandbox是为Web应用程序定制的在线编辑器。',
          link: 'https://codesandbox.io',
        },
        {
          icon: 'https://htmlreference.io/favicons/favicon-32x32.png',
          name: 'HTML Reference',
          desc: '所有HTML元素和属性的免费指南参考',
          link: 'https://htmlreference.io/',
        },
        {
          icon: 'https://static.jsbin.com/images/dave.min.svg',
          name: 'jsbin',
          desc: '一个轻量级的html/css/js在线编辑器Debug调试器',
          link: 'https://jsbin.com/juduyibeku/edit?html,css,js,console,output',
        },
        {
          icon: 'http://www.jsfuck.com/favicon.ico',
          name: 'jsfuck',
          desc: 'JSFuck是基于JavaScript原子部分的深奥和教育性编程风格。它仅使用六个不同的字符来编写和执行代码。',
          link: 'http://www.jsfuck.com/',
        },
      ]
    },
  ]
}